# Class SimpleHttpFileServerFactory

java.lang.Object
org.gradle.plugins.javascript.envjs.http.simple.SimpleHttpFileServerFactory

All Implemented Interfaces:
  `HttpFileServerFactory`

public class SimpleHttpFileServerFactory extends Object implements HttpFileServerFactory

## Constructor Summary

Constructors
Constructor
Description
`SimpleHttpFileServerFactory()`

## Method Summary

Modifier and Type
Method
Description
`HttpFileServer`
`start(File contentRoot, int port)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleHttpFileServerFactory

public SimpleHttpFileServerFactory()

## Method Details

### start

public HttpFileServer start(File contentRoot, int port)

Specified by:
  `start` in interface `HttpFileServerFactory`